Bug 110350 - Failed to build Xalan1.6 on Red Has Linux 7.2 using GNU 2.96
Failed to build Xalan1.6 on Red Has Linux 7.2 using GNU 2.96
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.2
i686 Linux
high Severity high
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-18 13:17 EST by Need Real Name
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 07:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-11-18 13:17:29 EST
Description of problem:
Failed to build Xalan1.6 on Red Has Linux 7.2 using GNU 2.96
produces an internal compiler error.



Version-Release number of selected component (if applicable):
g++: gcc version 2.96 20000731 (Red Hat Linux 7.2 2.96-118.7.2)

How reproducible:
Every Time

Steps to Reproduce:
1. Download src for xerces 2.3.0 and xalan 1.6
2. extract src into directory as in step 3
3. set env
    #Set the environment to the following
    XML_HOME_DIR=/mff/sw/sw_linux/Linux2_i686/apache
    XERCESCROOT=${XML_HOME_DIR}/xerces-c-src_2_3_0
    XALANCROOT=${XML_HOME_DIR}/xalan-C_1_6-Linux2_i686_gnu/xml-xalan/c
    export XERCESCROOT
    export XALANCROOT
4. cd $XERCESCROOT/src/xercesc
   ./runConfigure -p linux -c gcc -x g++ -minmem -nsocket -tnative -
rpthread
   make
5. $XALANCROOT/xml-xalan/c/src/xalanc
   ./runConfigure -p linux -c gcc -x g++
   make
6. building xalan will produce the internal compiler error.
  
Actual results:
g++ -O2 -DNDEBUG      -fno-elide-constructors -Wall -fPIC -DLINUX -
D_REENTRANT  -c -I/mff/sw/sw_linux/Linux2_i686/apache/xalan-C_1_6-
Linux2_i686_gnu/xml-xalan/c/src -
I/mff/sw/sw_linux/Linux2_i686/apache/xerces-c-
src_2_3_0/src/ -I/mff/sw/sw_linux/Linux2_i686/apache/xerces-c-
src_2_3_0/include/xercesc -
I/mff/sw/sw_linux/Linux2_i686/apache/xerces-c-
src_2_3_0/include/  -o /mff/sw/sw_linux/Linux2_i686/apache/Xalan-
C_1_6-src/xml-
xalan/c/src/xalanc/obj/XPathExecutionContextDefault.o /mff/sw/sw_linux
/Linux2_i6
86/apache/xalan-C_1_6-Linux2_i686_gnu/xml-
xalan/c/src/xalanc/XPath/XPathExecutionContextDefault.cpp
/mff/sw/sw_linux/Linux2_i686/apache/xalan-C_1_6-Linux2_i686_gnu/xml-
xalan/c/src/xalanc/Include/XalanObjectCache.hpp: In method 
`xalanc_1_6::XPathExecutionContextDefault::XPathExecutionContextDefaul
t
(xalanc_1_6::XPathEnvSupport &, xalanc_1_6::DOMSupport &, 
xalanc_1_6::XObjectFactory &, xalanc_1_6::XalanNode *, const 
xalanc_1_6::NodeRefListBase *, const xalanc_1_6::PrefixResolver *)':
/mff/sw/sw_linux/Linux2_i686/apache/xalan-C_1_6-Linux2_i686_gnu/xml-
xalan/c/src/xalanc/Include/XalanObjectCache.hpp:305: Internal
error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [/mff/sw/sw_linux/Linux2_i686/apache/Xalan-C_1_6-src/xml-
xalan/c/src/xalanc/obj/XPathExecutionContextDefault.o] Error 1


Expected results:

    Expected a valid build of the xalan library

Additional info:
Comment 1 Jakub Jelinek 2004-10-07 07:41:22 EDT
RHL 7.2 is no longer supported and GCC 2.96-RH is just too old now.
If you can reproduce this with some contemporary GCC, please reopen.

Note You need to log in before you can comment on or make changes to this bug.